---
title: "Configure opt-in event subscriptions (HIGOD)"
description: "Look up the Dark Pawns admin API request and response contract. Sign in with a level 40 character and use the authenticated admin console session."
type: reference
audience: operators
verified: v0.1.8
canonical: https://darkpawns.org/docs/reference/api/admin/operations/save-notifications/
---

[Documentation](/docs/) / [Reference](/docs/reference/)

# Configure opt-in event subscriptions (HIGOD)

Look up the Dark Pawns admin API request and response contract. Sign in with a level 40 character and use the authenticated admin console session.

PUT

/admin/notifications

FetchcURL

```
const url = 'https://example.com/admin/notifications';const options = {  method: 'PUT',  headers: {'Content-Type': 'application/json'},  body: '{"discord":{"enabled":true,"events":["example"]},"gossip":true,"gossip_notice":true,"heartbeat":true,"pushover":{"enabled":true,"events":["example"]},"revision":1}'};
try {  const response = await fetch(url, options);  const data = await response.json();  console.log(data);} catch (error) {  console.error(error);}
```

```
curl --request PUT \  --url https://example.com/admin/notifications \  --header 'Content-Type: application/json' \  --data '{ "discord": { "enabled": true, "events": [ "example" ] }, "gossip": true, "gossip_notice": true, "heartbeat": true, "pushover": { "enabled": true, "events": [ "example" ] }, "revision": 1 }'
```

## Request Bodyrequired

application/json

object

**discord**

required

object

**enabled**

required

boolean

**events**

required

Array<string> | null

**gossip**

required

boolean

**gossip\_notice**

required

boolean

**heartbeat**

required

boolean

**pushover**

required

object

**enabled**

required

boolean

**events**

required

Array<string> | null

**revision**

required

integer format: int64

### Example generated

```
{  "discord": {    "enabled": true,    "events": [      "example"    ]  },  "gossip": true,  "gossip_notice": true,  "heartbeat": true,  "pushover": {    "enabled": true,    "events": [      "example"    ]  },  "revision": 1}
```

## Responses

### 200

OK

application/json

object

**config**

required

object

**discord**

required

object

**enabled**

required

boolean

**events**

required

Array<string> | null

**gossip**

required

boolean

**gossip\_notice**

required

boolean

**heartbeat**

required

boolean

**pushover**

required

object

**enabled**

required

boolean

**events**

required

Array<string> | null

**revision**

required

integer format: int64

**status**

required

object

**_key_**

additional properties

object

**dropped**

required

integer format: int64

**last\_error**

required

string

**last\_failure**

required

string | null format: date-time

**last\_success**

required

string | null format: date-time

**queued**

required

integer format: int64

**ready**

required

boolean

**source**

required

string

#### Example generated

```
{  "config": {    "discord": {      "enabled": true,      "events": [        "example"      ]    },    "gossip": true,    "gossip_notice": true,    "heartbeat": true,    "pushover": {      "enabled": true,      "events": [        "example"      ]    },    "revision": 1  },  "status": {    "additionalProperty": {      "dropped": 1,      "last_error": "example",      "last_failure": "2026-04-15T12:00:00Z",      "last_success": "2026-04-15T12:00:00Z",      "queued": 1,      "ready": true,      "source": "example"    }  }}
```

### default

Error

application/problem+json

object

**detail**

A human-readable explanation specific to this occurrence of the problem.

string

**errors**

Optional list of individual error details

Array<object> | null

object

**location**

Where the error occurred, e.g. ‘body.items\[3\].tags’ or ‘path.thing-id’

string

**message**

Error message text

string

**value**

The value at the given location

**instance**

A URI reference that identifies the specific occurrence of the problem.

string format: uri

**status**

HTTP status code

integer format: int64

**title**

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string

**type**

A URI reference to human-readable documentation for the error.

string format: uri

default: about:blank

#### Example

```
{  "detail": "Property foo is required but is missing.",  "instance": "https://example.com/error-log/abc123",  "status": 400,  "title": "Bad Request",  "type": "about:blank"}
```
